com.unitech.lib.device

## Interface IReader

- All Known Implementing Classes:
    BaseReader, HT730Reader, RG768Reader, RP902Reader

      public interface IReader

  The IReader interface is an interface that defines the methods for reader needs.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkError()` Use only within the SDK.
    `ActionState` | `getAction()` Returns the current behavior of the device associated with an instance of the BaseReader class.
    `java.lang.String` | `getAddress()` Returns the address of the device associated with an instance of the BaseReader class.
    `java.lang.String` | `getDeviceName()` Returns the name of the Device associated with an instance of the BaseReader class.
    `DeviceType` | `getDeviceType()` Returns the type of Device to which the instance is connected.
    `ResultCode` | `getLastError()` Returns the result code for the last action.
    `IProtocol` | `getProtocol()` Use only within the SDK.
    `java.lang.String` | `getSerialNo()` Returns the serial number of the device.
    `java.lang.String` | `getVersion()` Returns the firmware version of the device associated with the instance of the BaseReader class.
    `void` | `resetError()` Use only within the SDK.
    `void` | `setAction(ActionState state)` Use only within the SDK.
    `void` | `setAddress(java.lang.String address)` Sets the address of the device to which the instance of BaseReader is connected.
    `void` | `setDeviceName(java.lang.String name)` Sets the name of the device to which the instance of BaseReader is connected.
    `void` | `setDeviceType(DeviceType deviceType)` Sets the type of device to which instance of BaseReader will be connected.
    `void` | `setLastError(ResultCode code)` Use only within the SDK.

- - ### Method Detail

    - #### getDeviceName

          java.lang.String getDeviceName()

      Returns the name of the Device associated with an instance of the BaseReader class.
      Returns:
        A string representing the name of the Device.

    - #### setDeviceName

          void setDeviceName(java.lang.String name)

      Sets the name of the device to which the instance of BaseReader is connected.
      Parameters:
        `name` - A string representing the name of the Device.

    - #### getDeviceType

          DeviceType getDeviceType()

      Returns the type of Device to which the instance is connected.
      Returns:
        The DeviceType enumeration indicating the type of device.

    - #### setDeviceType

          void setDeviceType(DeviceType deviceType)

      Sets the type of device to which instance of BaseReader will be connected.
      Parameters:
        `deviceType` - The DeviceType enumeration indicating the type of device.

    - #### getVersion

          java.lang.String getVersion()

      Returns the firmware version of the device associated with the instance of the BaseReader class.
      Returns:
        A string representing the firmware of the Device.

    - #### getSerialNo

          java.lang.String getSerialNo()

      Returns the serial number of the device.
      Returns:
        A string representing the serial number of the device.

    - #### getProtocol

          IProtocol getProtocol()

      Use only within the SDK.
      Returns:

    - #### getLastError

          ResultCode getLastError()

      Returns the result code for the last action.
      Returns:
        The ResultCode enumeration indicating the result of the operation.

    - #### getAction

          ActionState getAction()

      Returns the current behavior of the device associated with an instance of the BaseReader class.
      Returns:
        An ActionState enumeration that indicates the operational state of the device

    - #### getAddress

          java.lang.String getAddress()

      Returns the address of the device associated with an instance of the BaseReader class.
      Returns:
        A string representing the address of the Device.

    - #### setAddress

          void setAddress(java.lang.String address)

      Sets the address of the device to which the instance of BaseReader is connected.
      Parameters:
        `address` -

    - #### setLastError

          void setLastError(ResultCode code)

      Use only within the SDK.
      Parameters:
        `code` -

    - #### resetError

          void resetError()

      Use only within the SDK.

    - #### checkError

          void checkError()

      Use only within the SDK.

    - #### setAction

          void setAction(ActionState state)

      Use only within the SDK.
      Parameters:
        `state` -